/**
 * @file drive.h
 * @brief represent physical drive
 * @author hendrik schutter
 * @date 01.05.2020
 */

#ifndef DRIVE_H_
#define DRIVE_H_

#include "refurbishingHddTool.h"

class Drive {
protected:

public:
    Drive(string path) {
        sPath = path;
    }

    string getPath(void);
    string getModelFamily(void);
    string getModelName(void);
    string getSerial(void);
    string getCapacity(void);
    uint32_t getErrorCount(void);
    uint32_t getPowerOnHours(void);
    uint32_t getSpinUpCount(void);

    void setDriveSMARTData( string modelFamily,
                            string modelName,
                            string serial,
                            string capacity,
                            uint32_t errorCount,
                            uint32_t powerOnHours,
                            uint32_t spinUpCount);

private:
    string sPath;
    string sModelFamily;
    string sModelName;
    string sSerial;
    string sCapacity;
    uint32_t u32ErrorCount;
    uint32_t u32PowerOnHours;
    uint32_t u32SpinUpCount;

};

#endif  // DRIVE_H_